Subject: Re: 1.3.22,w2k: conflicting types after mingw runtime update (to 3.0-1)
From: "Mader, Alexander" <[email-masked]>
To: [email-masked], Danny <[email-masked]>, [email-masked]
Date: Thu, 08 May 2003 14:22:06 +0200

Hallo,

Danny Smith schrieb:
| From: "Mader, Alexander"
|>	mader@L201$ gcc-2  -c -W -Wall -std=c9x -pedantic -fpack-struct
|>		-mrtd -mno-cygwin   EinMitten.c
|>	In file included from EinMitten.c:5:
|>	/usr/include/mingw/stdlib.h:383: warning: conflicting types for
|>	built-in function `abs'
| The warning is harmless. On 3.x the #pragma gcc system_header disables
| it.  Read more at GNATS database
|
| http://gcc.gnu.org/cgi-bin/gnatsweb.pl?database=gcc
|
| in PR9601
| [i386] -mrtd switch/stdcall attribute raises warnings for __builtin
functions

Thanks for the reply! Excuse me, but I forgot to mention that I compiled
the project quite often -- even last week -- and moreover I use the
- -mrtd in connection with some projects for a long time. But the warnings
appeared only since the last update. So I am just wondering what exactly
changed.

However, I read the abovementioned PR text and will not worry further --
thats the price of "-W -Wall" ;-)

Thanks again,

Alexander.
- --
Alexander Mader <[email-masked]>	Fon: +49-30-93033-636
NILES Werkzeugmaschinen GmbH			Fax: +49-30-93033-603
				www.niles.de

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/